Skip to main content

Delete campaign step

This endpoint lets you delete a campaign step. You can delete EMAIL and LINKEDIN steps that haven't processed any prospects and are not the first step in the campaign following the START step. Once a step is deleted, it cannot be restored.

Only campaigns with a status of DRAFT or EDITED can be updated. To change the campaign status to EDITED use the /make_editable endpoint.

Request​

Endpoint​

DELETE https://api.woodpecker.co/rest/v2/campaigns/{campaign_id}/steps/{step_id}

You can fetch the step_id using the GET /campaigns structure endpoint.

Headers​

x-api-key: {YOUR_API_KEY}

For details on how to authenticate your requests, please see the authentication guide.

Request samples​

Delete a campaign step​

curl --request DELETE \
--url "https://api.woodpecker.co/rest/v2/campaigns/{campaign_id}/steps/{step_id}" \
--header "x-api-key: {YOUR_API_KEY}"

Response​

Response examples​

The campaign step has been deleted. A full campaign payload will be returned.